%define     devname    E57Format

Name:		libE57Format
Version:	3.1.1
Release:	K01%{?dist}
Summary:	A library for reading and writing the ASTM-standard E57 file format
License:	BSL-1.0
URL:		https://github.com/asmaloney/%{name}
Source0:	%{url}/archive/v%{version}/%{name}-%{version}.tar.gz


BuildRequires:	cmake
BuildRequires:	gcc
BuildRequires:	gcc-c++
BuildRequires:	ninja-build
BuildRequires:  pkgconfig(xerces-c)


%description
E57 files store 3D point cloud data (produced by 3D imaging systems
such as laser scanners), attributes associated with 3D point data
(color & intensity), and 2D images (photos taken using a 3D imaging
system).

%package	devel
Summary: Development files for draco
Requires: %{name}%{?_isa} = %{version}-%{release}

%description	devel
Development files (Headers etc.) for %{name}.


%prep
%autosetup -p1

%build
    
%cmake -GNinja \
	-DE57_BUILD_SHARED:BOOL=ON \
	-DE57_BUILD_TEST:BOOL=OFF \
	-G Ninja
%cmake_build

%install
%cmake_install

rm -fr %{buildroot}/usr/lib/debug

mkdir -p %{buildroot}/%{_datadir}/cmake
mv  %{buildroot}/usr/lib/cmake/%{devname} %{buildroot}/%{_datadir}/cmake/

mv   %{buildroot}/usr/lib %{buildroot}/%{_libdir}


%files
%license LICENSE.md LICENSE-MIT.md
%doc README.md CONTRIBUTING.md
%{_libdir}/%{name}.so

%files devel
%{_includedir}/%{devname}/
%{_datadir}/cmake/%{devname}/


%changelog
* Thu Jun 27 2024 Karlis Kalviskis - 3.1.1-K01
- The first release for Fedora

